Welcome

US Army Body Fat % Calculator

U. S. Army Body Fat Percentage Calculator
Cellica Software Services
http://www.cellica.com


U.S. Army Body Fat Calculator

 Introduction:

Simple calculator for calculating Body Fat Percentage on your BlackBerry handheld. It calculates Body Fat Percentage with the help of rules applied in U.S. Army stanards set forth in AR 600-9.

Features:

  • Calculates your body fat percentage based on U.S. Army rules.
  • Help you to enter the proper body measurement values.
  • Calculates the body fat percentage for both male and female.
  • Maintain the history of your body fat measurements.
  • Know your body fat status: Overwight or OK.
  • Know how much body fat percentage you may need to reduce.
  • Change the preferences as per your choice such as weight and height units.


Black Berry US Army BFC

How to use?

Following steps describe how to use BlackBerry US Army BFC .

1. Performing various operations:

You can perform various operations on BlackBerry USArmy BFC application as shown in following figure.
a) Compute: After entering the body measurement values, choosing Compute menu option will display the result.
b) New: Clear out the contents entered by you.
c) Save: Save the body measurement values.
d) Open: Retrieve and display the previously stored body measurement entries.
f) Male/Female Screen: Shift from Male to Female Screen and vice versa.
f) Preferences: Change the user preferences.
g) Register: Register the application by entering the registration key supplied by us.
h) Help: Display the instructions to guide you while calculating BFP.

US Army Body Fat Percentage Calculator

2. Calculating Body Fat Percentage:

You just select Compute menu option after filling required contents. Following figures describing various elements of Body Fat percentage calculator form.

Remember, If you forget to enter required fields or entered invalid inputs then it will warn you .Required input fields for male mode calculations are: abdominal, weight, height, neck and age. Required input fields for female mode calculations are: height, neck, wrist, weight, forearm and hips. To calculate overweight status in both mode, you need to specify age as well. All measurement units are in Inches or CM and in LBS or KG.

US Army Body Fat % Calculator

3. Saving Body Measurements:

If you want, you can store your body measurements for further reference just by selecting Save menu option. Following figure guide you to how to save BFC calculation which appears after you select that menu.
Note: Body measurement for male and female stores separately.

4. Maintaining BFC History:

You can retrive previously stored body measurements entries from the database as shown in figure by selecting Open menu option from "BFC History" screen.
As shown in the figure, the body measurement entries constitute of unique name, the date and time of saving the entry
You can select any of the desired entry and choose the Open menu option to load the entry for your reference.
You can also delete the selected body measurement entry by choosing the Delete menu option.
You can even wipe out the history by choosing the Delete All option.

Body Measurements List

5. Change Preferences:

You can set the preferences by selecting the Preferences menu option either from the Male or Female screen.
The following figure shows the various preferences such as default screen to be shown at application start up. You can even change the Date, Time and Decimal Places formats, and most importantly the measurement units.

Body Measurements List

6. Browing Help:

In case feeling difficulty while entering the various body measurements, you can simply jump to the help screen as shown in following figure.
Choose the topic and select the Show Help menu option to get the detailed help for that topic.

Body Measurements List

7. Registering Application:

The register dialog will appear when you start the application or you can select the "Register" menu option. This dialog will ask you to enter the registration code taken from us, after puschasing BlackBerry US Army BFC. In this case you have to supply the Device ID as shown in the register dialog.
If fail to register the application, the BlackBerry US Army BFC will be run in evaluation mode.
NOTE: In evaluation mode, you can able to save only 2 (two) body measurement entries each for male and female. You can also able to compute only 2 (two) records each for male and female.

Register Dialog Box